- set_fact:
    bootloader_download_dir: "{{ cache_dir }}/downloads/bootloader"

- name: Create directory for downloading bootloader
  file:
    path: "{{ bootloader_download_dir }}"
    state: directory

- name: Get latest uboot and decompress
  unarchive:
    src:  "{{item}}"
    dest: "{{ bootloader_download_dir }}"
    remote_src: yes
  loop: "{{ uboot_build_jenkins_urls }}"